/*
 * Headerfile of fileIO.c
 *
 * simple file functions and a logging mechanism
 *
 * Author: Jan Alte, DO1FJN
 *
 *
 * This file is part of the DFU Serial Loader (dfu-loader).
 * For general infomation about dfu-loader see "dfu_serial_main.c".
 *
 * dfu-loader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * dfu-loader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this package. If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __FILEIO_H__
#define __FILEIO_H__

/****************************************
* gives error onWhat at stdio and exits *
* the program                           *
****************************************/
void logInit(const char *LogFilename);

/****************************************
* gives error onWhat at stderr		*
****************************************/
void logError(int err, const char *onWhat);

void file_error(int err, const char *pre_msg); // logs a file-error-msg.

int  file_exists(const char *fname);

void file_rename(const char *fname_curr, const char *fname);

void file_delete(const char *fname);

#endif
